<?php

/**
 * @file Definition of variables for Variable API module.
 */

/**
 * Implements hook_variable_info().
 * @param $options
 * @return array of variables for Telegram bot
 */
function telegram_bot_variable_info($options) {
    $variables = [];
    
    $variables['telegram_bot_url'] = [
        'type' => 'string',
        'title' => t('Bot base url'),
        'required' => true,
        'group' => 'telegram_bot',
    ];
    $variables['telegram_bot_token'] = [
        'type' => 'string',
        'title' => t('Bot secret token'),
        'required' => true,
        'group' => 'telegram_bot',
    ];
    $variables['telegram_bot_chat_id'] = [
        'type' => 'string',
        'title' => t('Chat ID'),
        'required' => true,
        'group' => 'telegram_bot',
    ];
    $variables['telegram_bot_node_insert'] = [
        'type' => 'array',
        'title' => t('Trigger on node insert/creation'),
        'required' => false,
        'group' => 'telegram_bot',
    ];
    $variables['telegram_bot_comment_insert'] = [
        'type' => 'boolean',
        'title' => t('Trigger on comment insert/creation'),
        'required' => false,
        'group' => 'telegram_bot',
    ];
    $variables['telegram_bot_user_insert'] = [
        'type' => 'boolean',
        'title' => t('Trigger on account creation'),
        'required' => false,
        'group' => 'telegram_bot',
    ];
    
    return $variables;
}

/**
 * Implements hook_variable_group_info().
 * @return array of group information for the variables
 */
function telegram_bot_variable_group_info() {
    $groups = [];
    
    $groups['telegram_bot'] = [
        'title' => t('telegram_bot'),
        'description' => t('Parameters for the Telegram bot'),
        'path' => ['admin/config/telegram_bot'],
    ];
    
    return $groups;
}
